Package org.gitana.platform.client.webhost

# Interface DeployedApplication

All Superinterfaces:
  `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`, `WebHostDocument`

All Known Implementing Classes:
  `DeployedApplicationImpl`

public interface DeployedApplication extends WebHostDocument, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_APPLICATION_ID`
`static final String`
`FIELD_DEPLOYMENT_DOMAIN`
`static final String`
`FIELD_DEPLOYMENT_KEY`
`static final String`
`FIELD_DEPLOYMENT_SUBDOMAIN`
`static final String`
`FIELD_DEPLOYMENT_WEBHOST`
`static final String`
`FIELD_URLS`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getApplicationId()`
`String`
`getDeploymentDomain()`
`String`
`getDeploymentKey()`
`String`
`getDeploymentSubdomain()`
`String`
`getDeploymentWebhost()`
`List<String>`
`getUrls()`
`void`
`redeploy()`
`void`
`restart()`
`void`
`setApplicationId(String applicationId)`
`void`
`setDeploymentDomain(String deploymentDomain)`
`void`
`setDeploymentKey(String deploymentKey)`
`void`
`setDeploymentSubdomain(String deploymentSubdomain)`
`void`
`setDeploymentWebhost(String deploymentWebhost)`
`void`
`setUrls(List<String> urls)`
`void`
`start()`
`void`
`stop()`
`void`
`undeploy()`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

### Methods inherited from interface org.gitana.platform.client.webhost.WebHostDocument

`getPlatform, getWebHost, getWebHostId`

## Field Details

### FIELD_APPLICATION_ID

static final String FIELD_APPLICATION_ID

See Also:
  - Constant Field Values

### FIELD_DEPLOYMENT_KEY

static final String FIELD_DEPLOYMENT_KEY

See Also:
  - Constant Field Values

### FIELD_DEPLOYMENT_WEBHOST

static final String FIELD_DEPLOYMENT_WEBHOST

See Also:
  - Constant Field Values

### FIELD_DEPLOYMENT_DOMAIN

static final String FIELD_DEPLOYMENT_DOMAIN

See Also:
  - Constant Field Values

### FIELD_DEPLOYMENT_SUBDOMAIN

static final String FIELD_DEPLOYMENT_SUBDOMAIN

See Also:
  - Constant Field Values

### FIELD_URLS

static final String FIELD_URLS

See Also:
  - Constant Field Values

## Method Details

### getApplicationId

String getApplicationId()

### setApplicationId

void setApplicationId(String applicationId)

### getDeploymentKey

String getDeploymentKey()

### setDeploymentKey

void setDeploymentKey(String deploymentKey)

### getDeploymentWebhost

String getDeploymentWebhost()

### setDeploymentWebhost

void setDeploymentWebhost(String deploymentWebhost)

### getDeploymentSubdomain

String getDeploymentSubdomain()

### setDeploymentSubdomain

void setDeploymentSubdomain(String deploymentSubdomain)

### getDeploymentDomain

String getDeploymentDomain()

### setDeploymentDomain

void setDeploymentDomain(String deploymentDomain)

### getUrls

List<String> getUrls()

### setUrls

void setUrls(List<String> urls)

### undeploy

void undeploy()

### redeploy

void redeploy()

### start

void start()

### stop

void stop()

### restart

void restart()